# NVGetTexImage (LWJGL API)
Date: 2015-07-28

## org.lwjgl.opengles
Class NVGetTexImage

    java.lang.Object
      org.lwjgl.opengles.NVGetTexImage

    public final class NVGetTexImage

extends java.lang.Object

Field Summary
`static int` `GL_TEXTURE_ALPHA_SIZE_NV`
`static int` `GL_TEXTURE_BLUE_SIZE_NV`
`static int` `GL_TEXTURE_BORDER_NV`
`static int` `GL_TEXTURE_COMPONENTS_NV`
`static int` `GL_TEXTURE_COMPRESSED_IMAGE_SIZE_NV`
`static int` `GL_TEXTURE_COMPRESSED_NV`
`static int` `GL_TEXTURE_DEPTH_NV`
`static int` `GL_TEXTURE_DEPTH_SIZE_NV`
`static int` `GL_TEXTURE_GREEN_SIZE_NV`
`static int` `GL_TEXTURE_HEIGHT_NV`
`static int` `GL_TEXTURE_INTENSITY_SIZE_NV`
`static int` `GL_TEXTURE_INTERNAL_FORMAT_NV`
`static int` `GL_TEXTURE_LUMINANCE_SIZE_NV`
`static int` `GL_TEXTURE_RED_SIZE_NV`
`static int` `GL_TEXTURE_WIDTH_NV`

Method Summary
`static void` `glGetCompressedTexImageNV(int target, int level, java.nio.ByteBuffer img)`
`static void` `glGetTexImageNV(int target, int level, int format, int type, java.nio.ByteBuffer img)`
`static void` `glGetTexImageNV(int target, int level, int format, int type, java.nio.FloatBuffer img)`
`static void` `glGetTexImageNV(int target, int level, int format, int type, java.nio.IntBuffer img)`
`static void` `glGetTexImageNV(int target, int level, int format, int type, java.nio.ShortBuffer img)`
`static float` `glGetTexLevelParameterfNV(int target, int level, int pname)` Overloads glGetTexLevelParameterfvNV.
`static int` `glGetTexLevelParameteriNV(int target, int level, int pname)` Overloads glGetTexLevelParameterivNV.
`static void` `glGetTexLevelParameterNV(int target, int level, int pname, java.nio.FloatBuffer params)`
`static void` `glGetTexLevelParameterNV(int target, int level, int pname, java.nio.IntBuffer params)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### GL_TEXTURE_WIDTH_NV

    public static final int GL_TEXTURE_WIDTH_NV

See Also:
  Constant Field Values

### GL_TEXTURE_HEIGHT_NV

    public static final int GL_TEXTURE_HEIGHT_NV

See Also:
  Constant Field Values

### GL_TEXTURE_INTERNAL_FORMAT_NV

    public static final int GL_TEXTURE_INTERNAL_FORMAT_NV

See Also:
  Constant Field Values

### GL_TEXTURE_COMPONENTS_NV

    public static final int GL_TEXTURE_COMPONENTS_NV

See Also:
  Constant Field Values

### GL_TEXTURE_BORDER_NV

    public static final int GL_TEXTURE_BORDER_NV

See Also:
  Constant Field Values

### GL_TEXTURE_RED_SIZE_NV

    public static final int GL_TEXTURE_RED_SIZE_NV

See Also:
  Constant Field Values

### GL_TEXTURE_GREEN_SIZE_NV

    public static final int GL_TEXTURE_GREEN_SIZE_NV

See Also:
  Constant Field Values

### GL_TEXTURE_BLUE_SIZE_NV

    public static final int GL_TEXTURE_BLUE_SIZE_NV

See Also:
  Constant Field Values

### GL_TEXTURE_ALPHA_SIZE_NV

    public static final int GL_TEXTURE_ALPHA_SIZE_NV

See Also:
  Constant Field Values

### GL_TEXTURE_LUMINANCE_SIZE_NV

    public static final int GL_TEXTURE_LUMINANCE_SIZE_NV

See Also:
  Constant Field Values

### GL_TEXTURE_INTENSITY_SIZE_NV

    public static final int GL_TEXTURE_INTENSITY_SIZE_NV

See Also:
  Constant Field Values

### GL_TEXTURE_DEPTH_NV

    public static final int GL_TEXTURE_DEPTH_NV

See Also:
  Constant Field Values

### GL_TEXTURE_COMPRESSED_IMAGE_SIZE_NV

    public static final int GL_TEXTURE_COMPRESSED_IMAGE_SIZE_NV

See Also:
  Constant Field Values

### GL_TEXTURE_COMPRESSED_NV

    public static final int GL_TEXTURE_COMPRESSED_NV

See Also:
  Constant Field Values

### GL_TEXTURE_DEPTH_SIZE_NV

    public static final int GL_TEXTURE_DEPTH_SIZE_NV

See Also:
  Constant Field Values

Method Detail

### glGetTexImageNV

    public static void glGetTexImageNV(int target,
                                       int level,
                                       int format,
                                       int type,
                                       java.nio.ByteBuffer img)

### glGetTexImageNV

    public static void glGetTexImageNV(int target,
                                       int level,
                                       int format,
                                       int type,
                                       java.nio.FloatBuffer img)

### glGetTexImageNV

    public static void glGetTexImageNV(int target,
                                       int level,
                                       int format,
                                       int type,
                                       java.nio.IntBuffer img)

### glGetTexImageNV

    public static void glGetTexImageNV(int target,
                                       int level,
                                       int format,
                                       int type,
                                       java.nio.ShortBuffer img)

### glGetCompressedTexImageNV

    public static void glGetCompressedTexImageNV(int target,
                                                 int level,
                                                 java.nio.ByteBuffer img)

### glGetTexLevelParameterNV

    public static void glGetTexLevelParameterNV(int target,
                                                int level,
                                                int pname,
                                                java.nio.FloatBuffer params)

### glGetTexLevelParameterfNV

    public static float glGetTexLevelParameterfNV(int target,
                                                  int level,
                                                  int pname)

  Overloads glGetTexLevelParameterfvNV.

### glGetTexLevelParameterNV

    public static void glGetTexLevelParameterNV(int target,
                                                int level,
                                                int pname,
                                                java.nio.IntBuffer params)

### glGetTexLevelParameteriNV

    public static int glGetTexLevelParameteriNV(int target,
                                                int level,
                                                int pname)

  Overloads glGetTexLevelParameterivNV.

Copyright © 2002-2009 lwjgl.org. All Rights Reserved.